### Method

# RB PlaylistManager get_playlist_names

#### Declaration [src]

    gboolean
    rb_playlist_manager_get_playlist_names (
      RBPlaylistManager* mgr,
      gchar*** playlists,
      GError** error
    )

#### Description [src]

Allocates and returns an array containing the names of all local playlists. This is part of the playlist manager dbus interface.

#### Parameters

`playlists`

  Type: `gchar***`

  Holds the array of playlist names on reutrn.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if successful.